/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.widget;

import com.extjs.gxt.ui.client.widget.LayoutContainer;
import com.extjs.gxt.ui.client.widget.form.FormPanel.LabelAlign;
import com.extjs.gxt.ui.client.widget.layout.FormLayout;

public class FormLayoutWidget extends AnchorLayoutWidget {
	private FormLayout layout;

	public FormLayoutWidget(FormLayout layout, LayoutContainer container) {
		super(layout, container);
		this.layout = layout;
	}

	public int getDefaultWidth() {
		return layout.getDefaultWidth();
	}

	public boolean getHideLabels() {
		return layout.getHideLabels();
	}

	public LabelAlign getLabelAlign() {
		return layout.getLabelAlign();
	}

	public int getLabelPad() {
		return layout.getLabelPad();
	}

	public String getLabelSeparator() {
		return layout.getLabelSeparator();
	}

	public int getLabelWidth() {
		return layout.getLabelWidth();
	}

	public int getPadding() {
		return layout.getPadding();
	}

	public void setDefaultWidth(int defaultWidth) {
		layout.setDefaultWidth(defaultWidth);
	}

	public void setHideLabels(boolean hideLabels) {
		layout.setHideLabels(hideLabels);
	}

	public void setLabelAlign(LabelAlign labelAlign) {
		layout.setLabelAlign(labelAlign);
	}

	public void setLabelPad(int labelPad) {
		layout.setLabelPad(labelPad);
	}

	public void setLabelSeparator(String labelSeparator) {
		layout.setLabelSeparator(labelSeparator);
	}

	public void setLabelWidth(int labelWidth) {
		layout.setLabelWidth(labelWidth);
	}

	public void setPadding(int padding) {
		layout.setPadding(padding);
	}




}
